/*
 * Copyright (c) y2k Micha Moskal <malekith@topnet.pl>
 *
 * This file is part of libcftp - cftp protocol implementation.
 * CryptoFTP is free software. You can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License (see COPYING.LGPL 
 * for details).
 *
 * $Id: none.c,v 1.1.1.1 2000/04/22 10:15:52 malekith Exp $
 */

#include "config.h"
#include "utils.h"
#include "cipher.h"

static void dfree(struct cipher *self)
{
	xfree0(self, sizeof(struct cipher));
}

static void init(struct cipher *self, const byte *key, int len)
{
	(void)self;
	(void)key;
	(void)len;
}

static void cipher(struct cipher *self, const byte *key, int len)
{
	(void)self;
	(void)key;
	(void)len;
}

struct cipher *none_create()
{
	struct cipher *r;
	r = (struct cipher *)xmalloc(sizeof(struct cipher));
	r->init = (init_cipher_func)init;
	r->cipher = (cipher_func)cipher;
	r->decipher = (cipher_func)cipher;
	r->free = dfree;
	
	r->keylen = 1;
	r->blocklen = 1;
	r->name = "none";
	r->disabled = 0;
	return r;
}
